Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface BridgeDestinationMBean

All Superinterfaces:
  BridgeDestinationCommonMBean, ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced with nothing (upgrade to JMSBridgeDestination if it maps to a JMS destination).

public interface BridgeDestinationMBean
extends BridgeDestinationCommonMBean

This MBean represents a bridge destination for non-JMS messaging products. Each messaging bridge instance consists of the following destination types:

- Source: The message producing destination. A bridge instance consumes messages from the source destination.

- Target: The destination where a bridge instance forwards messages produced by the source destination.

Note:

Although WebLogic JMS includes a "General Bridge Destination" framework for accessing non-JMS messaging products, WebLogic Server does not provide supported adapters for such products. Therefore, you need to obtain a custom adapter from a third-party OEM vendor or contact BEA Professional Services.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`JMS_XA_ADAPTER_JNDI`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`Properties` | `getProperties()` Deprecated. Specifies all the properties of the bridge destination.
`void` | `setProperties(Properties properties)` Deprecated. Sets the value of the `Properties` attribute.

Methods inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`getAdapterJNDIName, getClasspath, getUserName, getUserPassword, getUserPasswordEncrypted, setAdapterJNDIName, setClasspath, setUserName, setUserPassword, setUserPasswordEncrypted`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getProperties

    public Properties getProperties()

  Deprecated.

  Specifies all the properties of the bridge destination. The destination properties are string values that must be separated by a semicolon (;).

  The following properties are required for all JMS implementations:

  `ConnectionURL=`

    The URL used to establish a connection to the destination.

  `ConnectionFactoryJNDIName=`

    The JNDI name of the JMS connection factory used to create a connection for the actual destination being mapped to the general bridge destination.

  `DestinationJNDIName=`

    The JNDI name of the actual destination being mapped to the general bridge destination.

  `DestinationType=`

    Specifies whether the destination type is either a Queue or Topic.

  `InitialContextFactory=`

    The factory used to get the JNDI context.

  Returns:
    The properties value

### setProperties

    public void setProperties(Properties properties)
                       throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the `Properties` attribute.

  Parameters:
    `properties` - The new properties value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getProperties()`
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD